#include<iostream>
using namespace std;
int main(){
int c1,c2,k;
char m1,m2;
cin>>c1>>m1>>c2>>m2>>k;
if(m1=='A'){
    cout<<min(c1,k);
}
else{
    if(k-c1>0)cout<<k-c1;
    else cout<<0;
}
return 0;
}
